%define upstream_name    CPAN-Checksums
%define upstream_version 2.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Write a C<CHECKSUMS> file for a directory as on CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Data::Compare)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(DirHandle)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Module::Signature)
BuildArch:  noarch

%description
* $success = updatedir($dir)

  'updatedir()' takes a directory name as argument and writes a typical
  'CHECKSUMS' file in that directory as used on CPAN unless a previously
  written 'CHECKSUMS' file is there that is still valid. Returns 2 if a new
  'CHECKSUMS' file has been written, 1 if a valid 'CHECKSUMS' file is
  already there, otherwise dies.

  Note: since version 2.0 updatedir on empty directories behaves just the
  same. In older versions it silently did nothing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

rm -f *.list
rm -f t/00signature.t

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.110.0-3pclos2017
- rebuild against updates

